// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		0539A3E922B7A037009E7044 /* LoginViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3E822B7A037009E7044 /* LoginViewController.swift */; };
		0539A3EB22B7A084009E7044 /* LoginViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3EA22B7A084009E7044 /* LoginViewModel.swift */; };
		0539A3ED22B7A0A7009E7044 /* LoginRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3EC22B7A0A7009E7044 /* LoginRouter.swift */; };
		0539A3F022B7A5F0009E7044 /* RoundedTextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3EF22B7A5F0009E7044 /* RoundedTextField.swift */; };
		0539A3F322B7A790009E7044 /* UIFont.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3F222B7A790009E7044 /* UIFont.swift */; };
		0539A3F522B90CC6009E7044 /* RoundedButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3F422B90CC6009E7044 /* RoundedButton.swift */; };
		0539A3F822B91795009E7044 /* TaskListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3F722B91795009E7044 /* TaskListViewController.swift */; };
		0539A3FA22B917AB009E7044 /* TaskListViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3F922B917AB009E7044 /* TaskListViewModel.swift */; };
		0539A3FC22B917BE009E7044 /* TaskListRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3FB22B917BE009E7044 /* TaskListRouter.swift */; };
		0539A3FF22B91937009E7044 /* AuthService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A3FE22B91937009E7044 /* AuthService.swift */; };
		0539A40122B91980009E7044 /* User.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A40022B91980009E7044 /* User.swift */; };
		0539A40322B91A40009E7044 /* AuthServiceV1.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A40222B91A40009E7044 /* AuthServiceV1.swift */; };
		0539A41522BA5D11009E7044 /* SettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41422BA5D11009E7044 /* SettingsViewController.swift */; };
		0539A41722BA5D1A009E7044 /* UserInfoViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41622BA5D1A009E7044 /* UserInfoViewController.swift */; };
		0539A41922BA5D26009E7044 /* CreateTaskViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41822BA5D26009E7044 /* CreateTaskViewController.swift */; };
		0539A41B22BA5D2E009E7044 /* CalendarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41A22BA5D2E009E7044 /* CalendarViewController.swift */; };
		0539A41D22BA5D46009E7044 /* SettingsViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41C22BA5D46009E7044 /* SettingsViewModel.swift */; };
		0539A42022BA5D5C009E7044 /* UserInfoViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A41F22BA5D5C009E7044 /* UserInfoViewModel.swift */; };
		0539A42222BA5D66009E7044 /* CreateTaskViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42122BA5D66009E7044 /* CreateTaskViewModel.swift */; };
		0539A42422BA5D70009E7044 /* CalendarViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42322BA5D70009E7044 /* CalendarViewModel.swift */; };
		0539A42622BA5D85009E7044 /* SettingsRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42522BA5D85009E7044 /* SettingsRouter.swift */; };
		0539A42822BA5D8E009E7044 /* UserInfoRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42722BA5D8E009E7044 /* UserInfoRouter.swift */; };
		0539A42A22BA5D99009E7044 /* CreateTaskRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42922BA5D99009E7044 /* CreateTaskRouter.swift */; };
		0539A42C22BA5DAE009E7044 /* CalendarRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42B22BA5DAE009E7044 /* CalendarRouter.swift */; };
		0539A42F22BA6711009E7044 /* TabBarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A42E22BA6711009E7044 /* TabBarViewController.swift */; };
		0539A43122BA6728009E7044 /* TabBarViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43022BA6728009E7044 /* TabBarViewModel.swift */; };
		0539A43522BA691C009E7044 /* MainTabBarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43422BA691C009E7044 /* MainTabBarViewController.swift */; };
		0539A43722BA6933009E7044 /* MainTabBarViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43622BA6933009E7044 /* MainTabBarViewModel.swift */; };
		0539A43922BA6953009E7044 /* MainTabBarRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43822BA6953009E7044 /* MainTabBarRouter.swift */; };
		0539A43B22BA757A009E7044 /* TaskListViewModel+Section.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43A22BA757A009E7044 /* TaskListViewModel+Section.swift */; };
		0539A43D22BA7728009E7044 /* Task.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43C22BA7728009E7044 /* Task.swift */; };
		0539A44022BA7CC0009E7044 /* Collection.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A43F22BA7CC0009E7044 /* Collection.swift */; };
		0539A44322BA8075009E7044 /* UITableView+Rx.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A44222BA8075009E7044 /* UITableView+Rx.swift */; };
		0539A44622BA8479009E7044 /* UITableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0539A44522BA8479009E7044 /* UITableViewCell.swift */; };
		0C0B413422B2CBDD00F98236 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B413322B2CBDD00F98236 /* AppDelegate.swift */; };
		0C0B413B22B2CBDE00F98236 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 0C0B413A22B2CBDE00F98236 /* Assets.xcassets */; };
		0C0B413E22B2CBDE00F98236 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 0C0B413C22B2CBDE00F98236 /* LaunchScreen.storyboard */; };
		0C0B414722B2CD8900F98236 /* .swiftlint.yml in Resources */ = {isa = PBXBuildFile; fileRef = 0C0B414622B2CD8900F98236 /* .swiftlint.yml */; };
		0C0B415222B2D03500F98236 /* ErrorHandler.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415122B2D03500F98236 /* ErrorHandler.swift */; };
		0C0B415422B2D05600F98236 /* Router.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415322B2D05600F98236 /* Router.swift */; };
		0C0B415622B2D09400F98236 /* ViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415522B2D09400F98236 /* ViewModel.swift */; };
		0C0B415822B2D0A900F98236 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415722B2D0A900F98236 /* ViewController.swift */; };
		0C0B415A22B2D0F000F98236 /* NavigationViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415922B2D0F000F98236 /* NavigationViewModel.swift */; };
		0C0B415C22B2D10900F98236 /* NavigationViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415B22B2D10900F98236 /* NavigationViewController.swift */; };
		0C0B416022B2D14400F98236 /* BaseError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B415F22B2D14400F98236 /* BaseError.swift */; };
		0C0B416222B2D15300F98236 /* ServiceError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416122B2D15300F98236 /* ServiceError.swift */; };
		0C0B416422B2D16300F98236 /* Warning.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416322B2D16300F98236 /* Warning.swift */; };
		0C0B416622B2D18B00F98236 /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = 0C0B416522B2D18B00F98236 /* Localizable.strings */; };
		0C0B416822B2D21F00F98236 /* R.generated.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416722B2D21F00F98236 /* R.generated.swift */; };
		0C0B416B22B2D25B00F98236 /* Service.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416A22B2D25B00F98236 /* Service.swift */; };
		0C0B416D22B2D26D00F98236 /* Services.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416C22B2D26D00F98236 /* Services.swift */; };
		0C0B417022B2D29700F98236 /* KeyStorage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B416F22B2D29700F98236 /* KeyStorage.swift */; };
		0C0B417222B2D2B800F98236 /* KeyValueService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417122B2D2B800F98236 /* KeyValueService.swift */; };
		0C0B417422B2D2CF00F98236 /* UserDefaultsService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417322B2D2CF00F98236 /* UserDefaultsService.swift */; };
		0C0B417622B2D30200F98236 /* Screens.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417522B2D30200F98236 /* Screens.swift */; };
		0C0B417922B2D34800F98236 /* MainNavigationViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417822B2D34800F98236 /* MainNavigationViewController.swift */; };
		0C0B417B22B2D35300F98236 /* MainNavigationViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417A22B2D35300F98236 /* MainNavigationViewModel.swift */; };
		0C0B417D22B2D36900F98236 /* MainNavigationRouter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417C22B2D36900F98236 /* MainNavigationRouter.swift */; };
		0C0B417F22B2D39B00F98236 /* TempModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0C0B417E22B2D39B00F98236 /* TempModel.swift */; };
		6A403D6C5626A29DF2271B97 /* Pods_ToDo.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = EC499D3648931544C5D8ED5F /* Pods_ToDo.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		0539A3E822B7A037009E7044 /* LoginViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginViewController.swift; sourceTree = "<group>"; };
		0539A3EA22B7A084009E7044 /* LoginViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginViewModel.swift; sourceTree = "<group>"; };
		0539A3EC22B7A0A7009E7044 /* LoginRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginRouter.swift; sourceTree = "<group>"; };
		0539A3EF22B7A5F0009E7044 /* RoundedTextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RoundedTextField.swift; sourceTree = "<group>"; };
		0539A3F222B7A790009E7044 /* UIFont.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIFont.swift; sourceTree = "<group>"; };
		0539A3F422B90CC6009E7044 /* RoundedButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RoundedButton.swift; sourceTree = "<group>"; };
		0539A3F722B91795009E7044 /* TaskListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TaskListViewController.swift; sourceTree = "<group>"; };
		0539A3F922B917AB009E7044 /* TaskListViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TaskListViewModel.swift; sourceTree = "<group>"; };
		0539A3FB22B917BE009E7044 /* TaskListRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TaskListRouter.swift; sourceTree = "<group>"; };
		0539A3FE22B91937009E7044 /* AuthService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthService.swift; sourceTree = "<group>"; };
		0539A40022B91980009E7044 /* User.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = User.swift; sourceTree = "<group>"; };
		0539A40222B91A40009E7044 /* AuthServiceV1.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthServiceV1.swift; sourceTree = "<group>"; };
		0539A41422BA5D11009E7044 /* SettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsViewController.swift; sourceTree = "<group>"; };
		0539A41622BA5D1A009E7044 /* UserInfoViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserInfoViewController.swift; sourceTree = "<group>"; };
		0539A41822BA5D26009E7044 /* CreateTaskViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CreateTaskViewController.swift; sourceTree = "<group>"; };
		0539A41A22BA5D2E009E7044 /* CalendarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalendarViewController.swift; sourceTree = "<group>"; };
		0539A41C22BA5D46009E7044 /* SettingsViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsViewModel.swift; sourceTree = "<group>"; };
		0539A41F22BA5D5C009E7044 /* UserInfoViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserInfoViewModel.swift; sourceTree = "<group>"; };
		0539A42122BA5D66009E7044 /* CreateTaskViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CreateTaskViewModel.swift; sourceTree = "<group>"; };
		0539A42322BA5D70009E7044 /* CalendarViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalendarViewModel.swift; sourceTree = "<group>"; };
		0539A42522BA5D85009E7044 /* SettingsRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsRouter.swift; sourceTree = "<group>"; };
		0539A42722BA5D8E009E7044 /* UserInfoRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserInfoRouter.swift; sourceTree = "<group>"; };
		0539A42922BA5D99009E7044 /* CreateTaskRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CreateTaskRouter.swift; sourceTree = "<group>"; };
		0539A42B22BA5DAE009E7044 /* CalendarRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CalendarRouter.swift; sourceTree = "<group>"; };
		0539A42E22BA6711009E7044 /* TabBarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarViewController.swift; sourceTree = "<group>"; };
		0539A43022BA6728009E7044 /* TabBarViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarViewModel.swift; sourceTree = "<group>"; };
		0539A43422BA691C009E7044 /* MainTabBarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainTabBarViewController.swift; sourceTree = "<group>"; };
		0539A43622BA6933009E7044 /* MainTabBarViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainTabBarViewModel.swift; sourceTree = "<group>"; };
		0539A43822BA6953009E7044 /* MainTabBarRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainTabBarRouter.swift; sourceTree = "<group>"; };
		0539A43A22BA757A009E7044 /* TaskListViewModel+Section.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TaskListViewModel+Section.swift"; sourceTree = "<group>"; };
		0539A43C22BA7728009E7044 /* Task.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Task.swift; sourceTree = "<group>"; };
		0539A43F22BA7CC0009E7044 /* Collection.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Collection.swift; sourceTree = "<group>"; };
		0539A44222BA8075009E7044 /* UITableView+Rx.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UITableView+Rx.swift"; sourceTree = "<group>"; };
		0539A44522BA8479009E7044 /* UITableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UITableViewCell.swift; sourceTree = "<group>"; };
		0C0B413022B2CBDD00F98236 /* ToDo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ToDo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		0C0B413322B2CBDD00F98236 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		0C0B413A22B2CBDE00F98236 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		0C0B413D22B2CBDE00F98236 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		0C0B413F22B2CBDE00F98236 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		0C0B414622B2CD8900F98236 /* .swiftlint.yml */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = .swiftlint.yml; sourceTree = SOURCE_ROOT; xcLanguageSpecificationIdentifier = xcode.lang.ruby; };
		0C0B415122B2D03500F98236 /* ErrorHandler.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ErrorHandler.swift; sourceTree = "<group>"; };
		0C0B415322B2D05600F98236 /* Router.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Router.swift; sourceTree = "<group>"; };
		0C0B415522B2D09400F98236 /* ViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewModel.swift; sourceTree = "<group>"; };
		0C0B415722B2D0A900F98236 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		0C0B415922B2D0F000F98236 /* NavigationViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NavigationViewModel.swift; sourceTree = "<group>"; };
		0C0B415B22B2D10900F98236 /* NavigationViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NavigationViewController.swift; sourceTree = "<group>"; };
		0C0B415F22B2D14400F98236 /* BaseError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseError.swift; sourceTree = "<group>"; };
		0C0B416122B2D15300F98236 /* ServiceError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ServiceError.swift; sourceTree = "<group>"; };
		0C0B416322B2D16300F98236 /* Warning.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Warning.swift; sourceTree = "<group>"; };
		0C0B416522B2D18B00F98236 /* Localizable.strings */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; path = Localizable.strings; sourceTree = "<group>"; };
		0C0B416722B2D21F00F98236 /* R.generated.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = R.generated.swift; sourceTree = SOURCE_ROOT; };
		0C0B416A22B2D25B00F98236 /* Service.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Service.swift; sourceTree = "<group>"; };
		0C0B416C22B2D26D00F98236 /* Services.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Services.swift; sourceTree = "<group>"; };
		0C0B416F22B2D29700F98236 /* KeyStorage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyStorage.swift; sourceTree = "<group>"; };
		0C0B417122B2D2B800F98236 /* KeyValueService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyValueService.swift; sourceTree = "<group>"; };
		0C0B417322B2D2CF00F98236 /* UserDefaultsService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserDefaultsService.swift; sourceTree = "<group>"; };
		0C0B417522B2D30200F98236 /* Screens.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Screens.swift; sourceTree = "<group>"; };
		0C0B417822B2D34800F98236 /* MainNavigationViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainNavigationViewController.swift; sourceTree = "<group>"; };
		0C0B417A22B2D35300F98236 /* MainNavigationViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainNavigationViewModel.swift; sourceTree = "<group>"; };
		0C0B417C22B2D36900F98236 /* MainNavigationRouter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainNavigationRouter.swift; sourceTree = "<group>"; };
		0C0B417E22B2D39B00F98236 /* TempModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TempModel.swift; sourceTree = "<group>"; };
		9891005E0425A7FD66125B72 /* Pods-ToDo.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-ToDo.debug.xcconfig"; path = "Target Support Files/Pods-ToDo/Pods-ToDo.debug.xcconfig"; sourceTree = "<group>"; };
		C2EC70752A98EF8FCA6897F6 /* Pods-ToDo.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-ToDo.release.xcconfig"; path = "Target Support Files/Pods-ToDo/Pods-ToDo.release.xcconfig"; sourceTree = "<group>"; };
		EC499D3648931544C5D8ED5F /* Pods_ToDo.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_ToDo.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		0C0B412D22B2CBDD00F98236 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6A403D6C5626A29DF2271B97 /* Pods_ToDo.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0539A3E722B79FF8009E7044 /* Login */ = {
			isa = PBXGroup;
			children = (
				0539A3E822B7A037009E7044 /* LoginViewController.swift */,
				0539A3EA22B7A084009E7044 /* LoginViewModel.swift */,
				0539A3EC22B7A0A7009E7044 /* LoginRouter.swift */,
			);
			path = Login;
			sourceTree = "<group>";
		};
		0539A3EE22B7A5BB009E7044 /* Views */ = {
			isa = PBXGroup;
			children = (
				0539A3EF22B7A5F0009E7044 /* RoundedTextField.swift */,
				0539A3F422B90CC6009E7044 /* RoundedButton.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		0539A3F122B7A729009E7044 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				0539A44422BA845B009E7044 /* UIKit */,
				0539A44122BA805A009E7044 /* Rx */,
				0539A43E22BA7CAE009E7044 /* Foundation */,
				0539A3F222B7A790009E7044 /* UIFont.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		0539A3F622B91760009E7044 /* Task List */ = {
			isa = PBXGroup;
			children = (
				0539A3F722B91795009E7044 /* TaskListViewController.swift */,
				0539A3F922B917AB009E7044 /* TaskListViewModel.swift */,
				0539A43A22BA757A009E7044 /* TaskListViewModel+Section.swift */,
				0539A3FB22B917BE009E7044 /* TaskListRouter.swift */,
			);
			path = "Task List";
			sourceTree = "<group>";
		};
		0539A3FD22B91901009E7044 /* Auth */ = {
			isa = PBXGroup;
			children = (
				0539A3FE22B91937009E7044 /* AuthService.swift */,
				0539A40222B91A40009E7044 /* AuthServiceV1.swift */,
			);
			path = Auth;
			sourceTree = "<group>";
		};
		0539A41022BA5CC1009E7044 /* Calendar */ = {
			isa = PBXGroup;
			children = (
				0539A41A22BA5D2E009E7044 /* CalendarViewController.swift */,
				0539A42322BA5D70009E7044 /* CalendarViewModel.swift */,
				0539A42B22BA5DAE009E7044 /* CalendarRouter.swift */,
			);
			path = Calendar;
			sourceTree = "<group>";
		};
		0539A41122BA5CD5009E7044 /* Create Task */ = {
			isa = PBXGroup;
			children = (
				0539A41822BA5D26009E7044 /* CreateTaskViewController.swift */,
				0539A42122BA5D66009E7044 /* CreateTaskViewModel.swift */,
				0539A42922BA5D99009E7044 /* CreateTaskRouter.swift */,
			);
			path = "Create Task";
			sourceTree = "<group>";
		};
		0539A41222BA5CE2009E7044 /* User Info */ = {
			isa = PBXGroup;
			children = (
				0539A41622BA5D1A009E7044 /* UserInfoViewController.swift */,
				0539A41F22BA5D5C009E7044 /* UserInfoViewModel.swift */,
				0539A42722BA5D8E009E7044 /* UserInfoRouter.swift */,
			);
			path = "User Info";
			sourceTree = "<group>";
		};
		0539A41322BA5CEA009E7044 /* Settings */ = {
			isa = PBXGroup;
			children = (
				0539A41422BA5D11009E7044 /* SettingsViewController.swift */,
				0539A41C22BA5D46009E7044 /* SettingsViewModel.swift */,
				0539A42522BA5D85009E7044 /* SettingsRouter.swift */,
			);
			path = Settings;
			sourceTree = "<group>";
		};
		0539A42D22BA66E1009E7044 /* Tab Bar */ = {
			isa = PBXGroup;
			children = (
				0539A43422BA691C009E7044 /* MainTabBarViewController.swift */,
				0539A43622BA6933009E7044 /* MainTabBarViewModel.swift */,
				0539A43822BA6953009E7044 /* MainTabBarRouter.swift */,
			);
			path = "Tab Bar";
			sourceTree = "<group>";
		};
		0539A43E22BA7CAE009E7044 /* Foundation */ = {
			isa = PBXGroup;
			children = (
				0539A43F22BA7CC0009E7044 /* Collection.swift */,
			);
			path = Foundation;
			sourceTree = "<group>";
		};
		0539A44122BA805A009E7044 /* Rx */ = {
			isa = PBXGroup;
			children = (
				0539A44222BA8075009E7044 /* UITableView+Rx.swift */,
			);
			path = Rx;
			sourceTree = "<group>";
		};
		0539A44422BA845B009E7044 /* UIKit */ = {
			isa = PBXGroup;
			children = (
				0539A44522BA8479009E7044 /* UITableViewCell.swift */,
			);
			path = UIKit;
			sourceTree = "<group>";
		};
		0B795ACC7FBC2B0329A4A6C0 /* Pods */ = {
			isa = PBXGroup;
			children = (
				9891005E0425A7FD66125B72 /* Pods-ToDo.debug.xcconfig */,
				C2EC70752A98EF8FCA6897F6 /* Pods-ToDo.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		0C0B412722B2CBDD00F98236 = {
			isa = PBXGroup;
			children = (
				0C0B413222B2CBDD00F98236 /* ToDo */,
				0C0B413122B2CBDD00F98236 /* Products */,
				0B795ACC7FBC2B0329A4A6C0 /* Pods */,
				48E34C06361A7C6B7D93FA67 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		0C0B413122B2CBDD00F98236 /* Products */ = {
			isa = PBXGroup;
			children = (
				0C0B413022B2CBDD00F98236 /* ToDo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		0C0B413222B2CBDD00F98236 /* ToDo */ = {
			isa = PBXGroup;
			children = (
				0C0B413322B2CBDD00F98236 /* AppDelegate.swift */,
				0C0B414A22B2CF6200F98236 /* Base */,
				0C0B414B22B2CF6700F98236 /* Models */,
				0C0B414C22B2CF9700F98236 /* Screens */,
				0C0B414D22B2CFA200F98236 /* UI Modules */,
				0C0B414E22B2CFB000F98236 /* Services */,
				0C0B414F22B2CFC400F98236 /* Resources */,
				0C0B414522B2CD7400F98236 /* Supporting Files */,
				0C0B413C22B2CBDE00F98236 /* LaunchScreen.storyboard */,
			);
			path = ToDo;
			sourceTree = "<group>";
		};
		0C0B414522B2CD7400F98236 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				0C0B416722B2D21F00F98236 /* R.generated.swift */,
				0C0B414622B2CD8900F98236 /* .swiftlint.yml */,
				0C0B413F22B2CBDE00F98236 /* Info.plist */,
				0C0B416522B2D18B00F98236 /* Localizable.strings */,
			);
			path = "Supporting Files";
			sourceTree = "<group>";
		};
		0C0B414A22B2CF6200F98236 /* Base */ = {
			isa = PBXGroup;
			children = (
				0C0B415022B2D00900F98236 /* MVVM */,
				0C0B415E22B2D13400F98236 /* Protocols */,
				0539A3EE22B7A5BB009E7044 /* Views */,
				0539A3F122B7A729009E7044 /* Extensions */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		0C0B414B22B2CF6700F98236 /* Models */ = {
			isa = PBXGroup;
			children = (
				0C0B417E22B2D39B00F98236 /* TempModel.swift */,
				0539A40022B91980009E7044 /* User.swift */,
				0539A43C22BA7728009E7044 /* Task.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		0C0B414C22B2CF9700F98236 /* Screens */ = {
			isa = PBXGroup;
			children = (
				0C0B417522B2D30200F98236 /* Screens.swift */,
			);
			path = Screens;
			sourceTree = "<group>";
		};
		0C0B414D22B2CFA200F98236 /* UI Modules */ = {
			isa = PBXGroup;
			children = (
				0539A42D22BA66E1009E7044 /* Tab Bar */,
				0C0B417722B2D32F00F98236 /* Navigation */,
				0539A3E722B79FF8009E7044 /* Login */,
				0539A3F622B91760009E7044 /* Task List */,
				0539A41322BA5CEA009E7044 /* Settings */,
				0539A41222BA5CE2009E7044 /* User Info */,
				0539A41122BA5CD5009E7044 /* Create Task */,
				0539A41022BA5CC1009E7044 /* Calendar */,
			);
			path = "UI Modules";
			sourceTree = "<group>";
		};
		0C0B414E22B2CFB000F98236 /* Services */ = {
			isa = PBXGroup;
			children = (
				0C0B416922B2D24D00F98236 /* Base */,
				0C0B416A22B2D25B00F98236 /* Service.swift */,
				0C0B416C22B2D26D00F98236 /* Services.swift */,
				0C0B416E22B2D28200F98236 /* KeyValue */,
				0539A3FD22B91901009E7044 /* Auth */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		0C0B414F22B2CFC400F98236 /* Resources */ = {
			isa = PBXGroup;
			children = (
				0C0B413A22B2CBDE00F98236 /* Assets.xcassets */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		0C0B415022B2D00900F98236 /* MVVM */ = {
			isa = PBXGroup;
			children = (
				0C0B415122B2D03500F98236 /* ErrorHandler.swift */,
				0C0B415322B2D05600F98236 /* Router.swift */,
				0C0B415522B2D09400F98236 /* ViewModel.swift */,
				0C0B415722B2D0A900F98236 /* ViewController.swift */,
				0C0B415922B2D0F000F98236 /* NavigationViewModel.swift */,
				0C0B415B22B2D10900F98236 /* NavigationViewController.swift */,
				0539A43022BA6728009E7044 /* TabBarViewModel.swift */,
				0539A42E22BA6711009E7044 /* TabBarViewController.swift */,
			);
			path = MVVM;
			sourceTree = "<group>";
		};
		0C0B415D22B2D12E00F98236 /* Errors */ = {
			isa = PBXGroup;
			children = (
				0C0B415F22B2D14400F98236 /* BaseError.swift */,
				0C0B416122B2D15300F98236 /* ServiceError.swift */,
				0C0B416322B2D16300F98236 /* Warning.swift */,
			);
			path = Errors;
			sourceTree = "<group>";
		};
		0C0B415E22B2D13400F98236 /* Protocols */ = {
			isa = PBXGroup;
			children = (
				0C0B415D22B2D12E00F98236 /* Errors */,
			);
			path = Protocols;
			sourceTree = "<group>";
		};
		0C0B416922B2D24D00F98236 /* Base */ = {
			isa = PBXGroup;
			children = (
			);
			path = Base;
			sourceTree = "<group>";
		};
		0C0B416E22B2D28200F98236 /* KeyValue */ = {
			isa = PBXGroup;
			children = (
				0C0B416F22B2D29700F98236 /* KeyStorage.swift */,
				0C0B417122B2D2B800F98236 /* KeyValueService.swift */,
				0C0B417322B2D2CF00F98236 /* UserDefaultsService.swift */,
			);
			path = KeyValue;
			sourceTree = "<group>";
		};
		0C0B417722B2D32F00F98236 /* Navigation */ = {
			isa = PBXGroup;
			children = (
				0C0B417822B2D34800F98236 /* MainNavigationViewController.swift */,
				0C0B417A22B2D35300F98236 /* MainNavigationViewModel.swift */,
				0C0B417C22B2D36900F98236 /* MainNavigationRouter.swift */,
			);
			path = Navigation;
			sourceTree = "<group>";
		};
		48E34C06361A7C6B7D93FA67 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				EC499D3648931544C5D8ED5F /* Pods_ToDo.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		0C0B412F22B2CBDD00F98236 /* ToDo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0C0B414222B2CBDE00F98236 /* Build configuration list for PBXNativeTarget "ToDo" */;
			buildPhases = (
				B3D7FBDF531B5CDB90350EC9 /* [CP] Check Pods Manifest.lock */,
				0C0B414822B2CDA900F98236 /* R.swift */,
				0C0B414922B2CDCE00F98236 /* SwiftLint */,
				0C0B412C22B2CBDD00F98236 /* Sources */,
				0C0B412D22B2CBDD00F98236 /* Frameworks */,
				0C0B412E22B2CBDD00F98236 /* Resources */,
				A1B10928ED2050620FD2F68E /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ToDo;
			productName = ToDo;
			productReference = 0C0B413022B2CBDD00F98236 /* ToDo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		0C0B412822B2CBDD00F98236 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1020;
				LastUpgradeCheck = 1020;
				ORGANIZATIONNAME = sowonderfultodo;
				TargetAttributes = {
					0C0B412F22B2CBDD00F98236 = {
						CreatedOnToolsVersion = 10.2.1;
					};
				};
			};
			buildConfigurationList = 0C0B412B22B2CBDD00F98236 /* Build configuration list for PBXProject "ToDo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 0C0B412722B2CBDD00F98236;
			productRefGroup = 0C0B413122B2CBDD00F98236 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				0C0B412F22B2CBDD00F98236 /* ToDo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		0C0B412E22B2CBDD00F98236 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0C0B414722B2CD8900F98236 /* .swiftlint.yml in Resources */,
				0C0B416622B2D18B00F98236 /* Localizable.strings in Resources */,
				0C0B413E22B2CBDE00F98236 /* LaunchScreen.storyboard in Resources */,
				0C0B413B22B2CBDE00F98236 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0C0B414822B2CDA900F98236 /* R.swift */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"$TEMP_DIR/rswift-lastrun",
			);
			name = R.swift;
			outputFileListPaths = (
			);
			outputPaths = (
				$SRCROOT/R.generated.swift,
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"$PODS_ROOT/R.swift/rswift\" generate \"$SRCROOT/R.generated.swift\"\n";
		};
		0C0B414922B2CDCE00F98236 /* SwiftLint */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = SwiftLint;
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "if which swiftlint >/dev/null; then\nswiftlint autocorrect\nswiftlint    \nelse\necho \"error: SwiftLint not installed, download from https://github.com/realm/SwiftLint\"\nfi\n";
		};
		A1B10928ED2050620FD2F68E /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-ToDo/Pods-ToDo-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-ToDo/Pods-ToDo-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-ToDo/Pods-ToDo-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		B3D7FBDF531B5CDB90350EC9 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-ToDo-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		0C0B412C22B2CBDD00F98236 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0539A3EB22B7A084009E7044 /* LoginViewModel.swift in Sources */,
				0539A3FF22B91937009E7044 /* AuthService.swift in Sources */,
				0C0B416D22B2D26D00F98236 /* Services.swift in Sources */,
				0539A42C22BA5DAE009E7044 /* CalendarRouter.swift in Sources */,
				0539A42622BA5D85009E7044 /* SettingsRouter.swift in Sources */,
				0539A44622BA8479009E7044 /* UITableViewCell.swift in Sources */,
				0C0B417B22B2D35300F98236 /* MainNavigationViewModel.swift in Sources */,
				0539A40122B91980009E7044 /* User.swift in Sources */,
				0539A41D22BA5D46009E7044 /* SettingsViewModel.swift in Sources */,
				0539A43D22BA7728009E7044 /* Task.swift in Sources */,
				0539A42422BA5D70009E7044 /* CalendarViewModel.swift in Sources */,
				0539A43522BA691C009E7044 /* MainTabBarViewController.swift in Sources */,
				0539A3F022B7A5F0009E7044 /* RoundedTextField.swift in Sources */,
				0C0B417922B2D34800F98236 /* MainNavigationViewController.swift in Sources */,
				0C0B415A22B2D0F000F98236 /* NavigationViewModel.swift in Sources */,
				0C0B415822B2D0A900F98236 /* ViewController.swift in Sources */,
				0539A44022BA7CC0009E7044 /* Collection.swift in Sources */,
				0539A40322B91A40009E7044 /* AuthServiceV1.swift in Sources */,
				0C0B416422B2D16300F98236 /* Warning.swift in Sources */,
				0C0B413422B2CBDD00F98236 /* AppDelegate.swift in Sources */,
				0539A42822BA5D8E009E7044 /* UserInfoRouter.swift in Sources */,
				0C0B417022B2D29700F98236 /* KeyStorage.swift in Sources */,
				0C0B417622B2D30200F98236 /* Screens.swift in Sources */,
				0C0B415422B2D05600F98236 /* Router.swift in Sources */,
				0539A3E922B7A037009E7044 /* LoginViewController.swift in Sources */,
				0539A3F522B90CC6009E7044 /* RoundedButton.swift in Sources */,
				0539A43922BA6953009E7044 /* MainTabBarRouter.swift in Sources */,
				0539A42222BA5D66009E7044 /* CreateTaskViewModel.swift in Sources */,
				0539A44322BA8075009E7044 /* UITableView+Rx.swift in Sources */,
				0C0B416B22B2D25B00F98236 /* Service.swift in Sources */,
				0C0B415622B2D09400F98236 /* ViewModel.swift in Sources */,
				0539A3ED22B7A0A7009E7044 /* LoginRouter.swift in Sources */,
				0C0B415222B2D03500F98236 /* ErrorHandler.swift in Sources */,
				0539A3FA22B917AB009E7044 /* TaskListViewModel.swift in Sources */,
				0539A41722BA5D1A009E7044 /* UserInfoViewController.swift in Sources */,
				0539A43B22BA757A009E7044 /* TaskListViewModel+Section.swift in Sources */,
				0539A41B22BA5D2E009E7044 /* CalendarViewController.swift in Sources */,
				0539A41922BA5D26009E7044 /* CreateTaskViewController.swift in Sources */,
				0C0B416222B2D15300F98236 /* ServiceError.swift in Sources */,
				0C0B415C22B2D10900F98236 /* NavigationViewController.swift in Sources */,
				0C0B417F22B2D39B00F98236 /* TempModel.swift in Sources */,
				0539A3F822B91795009E7044 /* TaskListViewController.swift in Sources */,
				0C0B417D22B2D36900F98236 /* MainNavigationRouter.swift in Sources */,
				0C0B417422B2D2CF00F98236 /* UserDefaultsService.swift in Sources */,
				0539A42022BA5D5C009E7044 /* UserInfoViewModel.swift in Sources */,
				0539A42F22BA6711009E7044 /* TabBarViewController.swift in Sources */,
				0539A43722BA6933009E7044 /* MainTabBarViewModel.swift in Sources */,
				0539A42A22BA5D99009E7044 /* CreateTaskRouter.swift in Sources */,
				0539A3FC22B917BE009E7044 /* TaskListRouter.swift in Sources */,
				0539A41522BA5D11009E7044 /* SettingsViewController.swift in Sources */,
				0539A3F322B7A790009E7044 /* UIFont.swift in Sources */,
				0C0B416822B2D21F00F98236 /* R.generated.swift in Sources */,
				0C0B417222B2D2B800F98236 /* KeyValueService.swift in Sources */,
				0539A43122BA6728009E7044 /* TabBarViewModel.swift in Sources */,
				0C0B416022B2D14400F98236 /* BaseError.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		0C0B413C22B2CBDE00F98236 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				0C0B413D22B2CBDE00F98236 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		0C0B414022B2CBDE00F98236 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		0C0B414122B2CBDE00F98236 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		0C0B414322B2CBDE00F98236 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9891005E0425A7FD66125B72 /* Pods-ToDo.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 473YC87GES;
				INFOPLIST_FILE = "ToDo/Supporting Files/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sowonderfultodo.ToDo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		0C0B414422B2CBDE00F98236 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = C2EC70752A98EF8FCA6897F6 /* Pods-ToDo.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 473YC87GES;
				INFOPLIST_FILE = "ToDo/Supporting Files/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.sowonderfultodo.ToDo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		0C0B412B22B2CBDD00F98236 /* Build configuration list for PBXProject "ToDo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0C0B414022B2CBDE00F98236 /* Debug */,
				0C0B414122B2CBDE00F98236 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0C0B414222B2CBDE00F98236 /* Build configuration list for PBXNativeTarget "ToDo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0C0B414322B2CBDE00F98236 /* Debug */,
				0C0B414422B2CBDE00F98236 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 0C0B412822B2CBDD00F98236 /* Project object */;
}
